#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'ukpbj.daftar'}
#{/set}

<div class="breadcrumb">&{'ukpbj.daftar'}</div>
<div class="content">
#{alert /}
    <table class="table table-condensed " id="tblUkpbj">
        <thead>
        <tr>
            <th width="30px"> &{'ukpbj.id'}</th>
            <th width="250px">&{'ukpbj.nama'}</th>
            <th width="250px">&{'ukpbj.alamat'}</th>
            <th width="100px">&{'ukpbj.telepon'}</th>
            <th width="100px">&{'ukpbj.dibuat_oleh'}</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
#{addButton action:@admin.UkpbjCtr.edit() /}
</div>

#{set 'css_custom' }
<link href="#{assets '/bootstrap/css/bootstrap-datatables.min.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datatables.min.js'/}"></script>
<script type="text/javascript">
    var ukpbjView = #{jsRoute @admin.UkpbjCtr.detil(':id') /};
    $("#tblUkpbj").dataTable({
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.ukpbj()}",
        columns: [null, {
            render: function(data, type, row) {
                var status = row[5];
                if (status == 0) row[5] = "<div class='text-center'> </div>";
                else row[5] = "<div class='text-center'><i class='fa fa-check'></i></div>"
                return "<a href='"+ukpbjView.url({id:row[0]})+"'>"+row[1]+"</a>";
            }},null,null,null
        ]

    }).fnFilterOnReturn();
</script>
#{/set}
